From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-neutronclient/
Date: Thu, 5 Jan 2023 08:36:35 +0000 (UTC) [thread overview]
Message-ID: <1672907392.7de27c29b32640cf3ffb128748b9182c59a56373.mgorny@gentoo> (raw)
commit: 7de27c29b32640cf3ffb128748b9182c59a56373
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 5 08:29:52 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 5 08:29:52 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7de27c29
dev-python/python-neutronclient: Bump to 8.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-neutronclient/Manifest | 1 +
.../python-neutronclient-8.2.1.ebuild | 73 ++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-python/python-neutronclient/Manifest b/dev-python/python-neutronclient/Manifest
index 9d8bc4b6b767..a59e9140f423 100644
--- a/dev-python/python-neutronclient/Manifest
+++ b/dev-python/python-neutronclient/Manifest
@@ -1 +1,2 @@
DIST python-neutronclient-8.2.0.tar.gz 305020 BLAKE2B dd09015fcc91028300c4185f208a7d532734c3b4ce1a616855eda6a25afb73be620548301ba7e42144a9ce33983c7966818f43f5cbbfbb8695b61c837d89831f SHA512 b8ff0b143bd4f8d99c5e8778e6669a80231f81dc353674a1d9964df53db9b49a0347d613f9d9c13b8e8ac355d2b50795cc27712cab2d798963ae0e8d5e4a5564
+DIST python-neutronclient-8.2.1.tar.gz 305119 BLAKE2B 75c75594a9050f7d78921eb72a85ab216862c2c00ce622c5392cc089b9611aa7ce48650eabfe71ea14a8329c10cc4922b8de982e79f238663d8f315c7b0e99cb SHA512 dc5e0e0a0d16ece56993b316db5fe93c8c5c9c50407229900fb4f21cd049e1d7d7ddd01f04b5a7b2e9d0c4623c94079a7fa8568068b30768ac3e2a51464a20a5
diff --git a/dev-python/python-neutronclient/python-neutronclient-8.2.1.ebuild b/dev-python/python-neutronclient/python-neutronclient-8.2.1.ebuild
new file mode 100644
index 000000000000..8f0dbae8e3bf
--- /dev/null
+++ b/dev-python/python-neutronclient/python-neutronclient-8.2.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Quantum API"
+HOMEPAGE="https://launchpad.net/neutron"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+ >dev-python/oslo-serialization-2.19.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/os-client-config-1.28.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/bandit[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/oslotest[${PYTHON_USEDEP}]
+ dev-python/python-openstackclient[${PYTHON_USEDEP}]
+ dev-python/subunit[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/tempest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Needs osprofile
+ rm neutronclient/tests/unit/test_http.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b neutronclient.tests.unit
+}
+
+python_install() {
+ distutils-r1_python_install
+ # stupid stupid stupid
+ local SITEDIR="${D}$(python_get_sitedir)" || die
+ cd "${SITEDIR}" || die
+ local egg=( python_neutronclient*.dist-info )
+ [[ -d ${egg[0]} ]] || die "python_quantumclient*.dist-info not found"
+ ln -s "${egg[0]}" "${egg[0]/neutron/quantum}" || die
+ ln -s neutronclient quantumclient || die
+ ln -s neutron quantumclient/quantum || die
+}
next reply other threads:[~2023-01-05 8:36 UTC|newest]
Thread overview: 86+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-05 8:36 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 9:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-neutronclient/ Arthur Zamarin
2025-02-15 7:38 Michał Górny
2025-01-17 4:33 Michał Górny
2024-09-21 5:16 Michał Górny
2024-09-20 7:46 Arthur Zamarin
2024-07-04 5:13 Michał Górny
2024-06-01 8:09 Michał Górny
2024-06-01 7:39 Arthur Zamarin
2024-05-22 8:03 Michał Górny
2024-05-17 6:25 Michał Górny
2024-03-16 12:08 Michał Górny
2024-03-16 11:21 Arthur Zamarin
2024-03-01 18:33 Michał Górny
2023-12-09 15:13 Michał Górny
2023-12-09 14:58 Michał Górny
2023-12-05 15:22 Michał Górny
2023-11-16 13:27 Michał Górny
2023-08-12 3:05 Michał Górny
2023-08-12 0:10 Sam James
2023-07-07 3:15 Michał Górny
2023-06-11 16:15 Michał Górny
2023-06-11 13:53 Sam James
2023-05-11 17:58 Michał Górny
2023-03-25 5:02 Michał Górny
2023-03-24 21:00 Arthur Zamarin
2023-03-06 15:06 Michał Górny
2023-02-17 18:51 Michał Górny
2023-02-16 17:30 Michał Górny
2023-02-16 17:30 Michał Górny
2023-02-04 18:03 Michał Górny
2023-02-04 17:26 Sam James
2022-12-25 17:50 Michał Górny
2022-12-25 16:42 Sam James
2022-11-17 18:34 Arthur Zamarin
2022-10-03 6:56 Michał Górny
2022-10-03 0:44 Sam James
2022-08-31 19:08 Arthur Zamarin
2022-08-18 10:17 Michał Górny
2022-08-18 7:01 Agostino Sarubbo
2022-07-15 18:30 Arthur Zamarin
2022-06-05 5:46 Michał Górny
2022-05-28 21:12 Jakov Smolić
2022-04-01 18:48 Michał Górny
2022-04-01 18:00 Arthur Zamarin
2022-02-24 18:46 Michał Górny
2022-02-14 21:37 Michał Górny
2021-12-24 22:52 Michał Górny
2021-12-24 19:52 Arthur Zamarin
2021-12-24 17:05 Jakov Smolić
2021-11-23 20:30 Arthur Zamarin
2021-11-19 6:18 Arthur Zamarin
2021-11-05 15:29 Jakov Smolić
2021-10-04 22:58 Sam James
2021-09-30 17:59 Arthur Zamarin
2021-02-22 23:04 Matthew Thode
2020-11-24 8:18 Michał Górny
2020-11-24 7:20 Agostino Sarubbo
2020-11-14 22:28 Michał Górny
2020-10-15 22:20 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-03-18 17:06 Matthew Thode
2020-02-18 19:09 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-10-03 23:28 Matthew Thode
2019-05-11 19:25 Matthew Thode
2019-05-11 2:15 Matthew Thode
2019-04-10 22:44 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-09-05 21:33 Matt Thode
2018-06-24 14:22 Pacho Ramos
2018-03-31 1:54 Matt Thode
2018-02-24 5:51 Matt Thode
2017-09-16 15:01 Matt Thode
2017-08-28 21:52 Matt Thode
2017-08-22 16:29 Matt Thode
2017-02-27 5:45 Matt Thode
2016-08-06 16:51 Michał Górny
2016-03-27 2:14 Matt Thode
2016-03-14 15:11 Agostino Sarubbo
2016-02-28 6:12 Matt Thode
2016-01-19 16:12 Matt Thode
2015-11-10 8:24 Agostino Sarubbo
2015-11-10 8:19 Agostino Sarubbo
2015-09-10 3:50 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1672907392.7de27c29b32640cf3ffb128748b9182c59a56373.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox